#!/bin/bash
# encoding: utf-8

if [ -f /var/run/lesslinux/scan_running ] ; then
	zenity --error --text 'Achtung! Im Moment läuft eine Suche nach Schadsoftware. Brechen Sie diese ab, erst dann ist der Wechsel in den Desktop-Modus möglich!'
	exit 1
fi
touch /home/surfer/.ll_requested_desktop
ps waux | while read line ; do
	pid=` echo $line | awk '{print $2}' `
	proc=` echo $line | awk '{print $11}' `
	if [ "$proc" = /usr/bin/Xorg -o "$proc" = /usr/bin/Xvfb ] ; then
		kill $pid
		sleep 1
		kill -9 $pid
	fi
done
